Peplink Portal Docs
Starlink Devices

Retrieve a Starlink Device

Retrieve the details of a Starlink device.

Required Capabilities

Starlink Viewer

Request

GET/starlink/devices/{refId}

Path parameters

refIdstringrequired

Reference ID of the Starlink device to retrieve.

Response

A json is returned in the response body with the following fields:

refIdstring

Reference ID of the device.

starlinkAccountRefIdstring

Reference ID of the Starlink account the device is assigned to.

starlinkServiceLineRefIdnullable string

Reference ID of the Starlink service line the device is assigned to. null if not applicable.

starlinkKitSerialNumberstring

Kit serial number of the Starlink device.

starlinkDishSerialNumbernullable string

Dish serial number of the Starlink device. null if not applicable.

starlinkUserTerminalIdnullable string

User terminal ID of the Starlink device. null if not applicable.

starlinkSyncobject

Starlink sync information of the device.

Show child attributes
starlinkSync.syncStatusnullable enum

The sync status of the device. null if not applicable.

  • PENDING — The sync is pending.
  • ABORTED — The sync has been aborted.
  • SYNCING — The sync is in progress.
  • SYNCED — The sync has completed.
starlinkSync.runCountnumber

The number of times the device sync has been run.

starlinkSync.runCountLimitnumber

The maximum number of times the device sync can be run.

starlinkSync.lastSyncedAtnullable datetime string

The last time the device was synced. null if not applicable.

createdAtdatetime string

Date and time the device was created.

createdBystring

Username of the user who created the device.

createdByEmailnullable string

Email of the user who created the device. null if not applicable.

updatedAtdatetime string

Date and time the device was last updated.

updatedBystring

Username of the user who last updated the device.

updatedByEmailnullable string

Email of the user who last updated the device. null if not applicable.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/devices/{refId}' \  -H 'Authorization: Bearer {token}'

Response

{
  "refId": "XXXX00000001",
  "starlinkAccountRefId": "92",
  "starlinkServiceLineRefId": "57",
  "starlinkKitSerialNumber": "XXXX00000001",
  "starlinkDishSerialNumber": "XXXX00000000001",
  "starlinkUserTerminalId": "XXXXXXXX-XXXXXXXX-XXXXXXXX",
  "starlinkSync": {
    "syncStatus": "SYNCED",
    "runCount": 0,
    "runCountLimit": 10,
    "lastSyncedAt": "2026-03-03T10:53:21.385Z"
  },
  "createdAt": "2026-02-26T12:51:19.443Z",
  "createdBy": "Jane Doe",
  "createdByEmail": null,
  "updatedAt": "2026-03-25T02:00:04.314Z",
  "updatedBy": "System",
  "updatedByEmail": null
}

On this page